VARKON Version 1.15 1997-10-24

> ## getsurh - Procedure

> Get surface data header from GM
> Description
> Reads a surface data header from GM.
> Syntax
> getsurh (id, code, data)

> REF | id;
> STRING | code*10;
> * | data;

> * Output type for data is INT for all cases except for code = "SDASHL" when data should be FLOAT.
> Principal parameters

> id | - Global identity of a surface
> code | - Defines the data to be read
> | Eq. NPATU: Get number of topological patches in U-direction
> | Eq. NPATV: Get number of topological patches in V-direction
> | Eq. FONT: Get font for the surface
> | Eq. SDASHL: Get dash length for SFONT= 0
> | Eq. SUR_TYPE: Get surface type
> | Eq. 0: MIX_SUR Surface with different kinds of patches
> | Eq. 1: CUB_SUR Surface with only CUB_PAT patches
> | Eq. 2: RAT_SUR Surface with only RAT_PAT patches
> | Eq. 3: LFT_SUR Surface with only LFT_PAT patches
> | Eq. 4: FAC_SUR Surface with only FAC_PAT facettes
> | Eq. 5: CON_SUR Surface with only CON_PAT patches
> data | - A variable to recieve the data

> Optional parameters
> None.

VARKON Homepage | Index